ICU 78.3: Data Fields

ICU 78.3 78.3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - k -

- kApproximatelySignSymbol : icu::DecimalFormatSymbols
- kArray : icu::Formattable
- kCompactField : icu::NumberFormat
- kCurrencyField : icu::NumberFormat
- kCurrencySymbol : icu::DecimalFormatSymbols
- kDate : icu::Formattable
- kDatePrecedence : icu::Calendar
- kDecimalSeparatorField : icu::NumberFormat
- kDecimalSeparatorSymbol : icu::DecimalFormatSymbols
- kDigitSymbol : icu::DecimalFormatSymbols
- kDouble : icu::Formattable
- kDOWPrecedence : icu::Calendar
- kEightDigitSymbol : icu::DecimalFormatSymbols
- kExponentField : icu::NumberFormat
- kExponentialSymbol : icu::DecimalFormatSymbols
- kExponentMultiplicationSymbol : icu::DecimalFormatSymbols
- kExponentSignField : icu::NumberFormat
- kExponentSymbolField : icu::NumberFormat
- Key() : icu::message2::data_model::Key
- keyDisplayName() : icu::LocaleDisplayNames
- keyValueDisplayName() : icu::LocaleDisplayNames
- kFiveDigitSymbol : icu::DecimalFormatSymbols
- kFormatSymbolCount : icu::DecimalFormatSymbols
- kFormerLatterMask : icu::BasicTimeZone
- kFourDigitSymbol : icu::DecimalFormatSymbols
- kFractionField : icu::NumberFormat
- kGroupingSeparatorField : icu::NumberFormat
- kGroupingSeparatorSymbol : icu::DecimalFormatSymbols
- kInfinitySymbol : icu::DecimalFormatSymbols
- kInt64 : icu::Formattable
- kIntegerField : icu::NumberFormat
- kIntlCurrencySymbol : icu::DecimalFormatSymbols
- kInvariant : icu::UnicodeString
- kLong : icu::Formattable
- kMaxFormat : icu::MessageFormat
- kMeasureUnitField : icu::NumberFormat
- kMinusSignSymbol : icu::DecimalFormatSymbols
- kMonetaryGroupingSeparatorSymbol : icu::DecimalFormatSymbols
- kMonetarySeparatorSymbol : icu::DecimalFormatSymbols
- kMonthPrecedence : icu::Calendar
- kNaNSymbol : icu::DecimalFormatSymbols
- kNineDigitSymbol : icu::DecimalFormatSymbols
- kObject : icu::Formattable
- kOneDigitSymbol : icu::DecimalFormatSymbols
- kPadEscapeSymbol : icu::DecimalFormatSymbols
- kPatternSeparatorSymbol : icu::DecimalFormatSymbols
- kPercentField : icu::NumberFormat
- kPercentSymbol : icu::DecimalFormatSymbols
- kPermillField : icu::NumberFormat
- kPerMillSymbol : icu::DecimalFormatSymbols
- kPlusSignSymbol : icu::DecimalFormatSymbols
- kResolveRemap : icu::Calendar
- kResolveSTOP : icu::Calendar
- kRoundCeiling : icu::NumberFormat
- kRoundDown : icu::NumberFormat
- kRoundFloor : icu::NumberFormat
- kRoundHalfCeiling : icu::NumberFormat
- kRoundHalfDown : icu::NumberFormat
- kRoundHalfEven : icu::NumberFormat
- kRoundHalfFloor : icu::NumberFormat
- kRoundHalfOdd : icu::NumberFormat
- kRoundHalfUp : icu::NumberFormat
- kRoundUnnecessary : icu::NumberFormat
- kRoundUp : icu::NumberFormat
- kSevenDigitSymbol : icu::DecimalFormatSymbols
- kSignField : icu::NumberFormat
- kSignificantDigitSymbol : icu::DecimalFormatSymbols
- kSixDigitSymbol : icu::DecimalFormatSymbols
- kStdDstMask : icu::BasicTimeZone
- kString : icu::Formattable
- kThreeDigitSymbol : icu::DecimalFormatSymbols
- kTwoDigitSymbol : icu::DecimalFormatSymbols
- kYearPrecedence : icu::Calendar
- kZeroDigitSymbol : icu::DecimalFormatSymbols